Logo
NeoArc Studio

REST API Documentation Reference

Complete reference for REST API documentation including endpoints, parameters, security schemes, responses, and OpenAPI export.

The REST API editor supports complete OpenAPI 3.1 compatible endpoint definitions with full security scheme support, parameter management, and response documentation.

Reference Topics

REST API reference documentation
TopicCoverage
EndpointsHTTP methods, paths, tags, request bodies, and operation IDs
ParametersPath, query, header, and cookie parameters with schemas
Security SchemesBearer tokens, API keys, OAuth2, and OpenID Connect
ResponsesStatus codes, response schemas, headers, and examples

API Definition Properties

Top-level API definition properties
PropertyTypeDescription
idstringUnique API identifier
namestringDisplay name for the API
descriptionstringRich text description
versionstringAPI version (e.g., 1.0.0)
securitySchemesarraySecurity scheme definitions
serversarrayServer configurations
endpointsarrayEndpoint definitions
tagsarrayGlobal tags for organisation

Server Configuration

Server configuration properties
PropertyDescription
idServer identifier (e.g., prod, staging, dev)
urlBase URL for API requests
descriptionServer purpose and environment

Key Features